KDE 4.9 PyKDE API Reference

- KDE's Python API

# DavJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.TransferJob → KIO.SimpleJob → KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

The transfer job pumps data into and/or out of a Slave. Data is sent to the slave on request of the slave ( dataReq). If data coming from the slave can not be handled, the reading of data from the slave should be suspended.

See also:
  KIO.davPropFind()

See also:
  KIO.davPropPatch()

See also:
  KIO.davSearch()

## Methods

| __init__ (self)
QDomDocument | response (self)
| slotData (self, QByteArray data)
| slotFinished (self)

## Method Documentation

__init__ | ( |  | self ) |

QDomDocument response | ( |  | self ) |

Returns the response as a QDomDocument.

Returns:
  the response document

slotData | ( | self, |
|  | QByteArray | data
| ) |  |  |

slotFinished | ( |  | self ) |